# magnet-to-torrent

A tiny CLI tool to fetch torrent metadata from a magnet link and save it as a `.torrent` file.

## Install

```bash
# Clone and build
git clone https://codeberg.org/firebadnofire/magnet-to-torrent.git
cd magnet-to-torrent
make build
# or:
go build -o magnet-to-torrent main.go
```

## Usage

```bash
magnet-to-torrent [options] <magnet_link>
```

### Options

* `-o <file>`      Output filename (default: `<torrent name>.torrent`)
* `-timeout <dur>` Metadata timeout (default: `5m`)
* `-upload`        Enable seeding after fetch (off by default)

## License

AGPLv3 © FireBADnoFire

